View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009023ParaViewBugpublic2009-05-13 20:082011-01-13 17:00
ReporterAlan Scott 
Assigned ToUtkarsh Ayachit 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.6Fixed in Version3.6 
Summary0009023: Plots manual min/max has issues
DescriptionParaView trunk, XP, local server.
* Open disk_out_ref.exo, all variables, apply.
* Calculator. Name the result TempSmall, in the formula use Temp/1000. Apply. (not sure if this step is needed).
* Plot over line. Apply.
* Display tab, turn off everything other than TempSmall.
* Plot/ Properties. Left Axis, Layout. "Use Logarithmic Scale when Available" == ON. "Specify The Axis Range" == ON. Minimum == 5e-5, Maximum == 1. OK.

<<Bug>> Note that the min has been changed to 1.0e-4. We have lost data.
<<Bug>> Note that we have lost all ticks, including the maximum.

This really needs to be fixed for 3.6.
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0016437)
Utkarsh Ayachit (administrator)
2009-05-14 10:35

setBestFitGenerated was required to ensure that the us specified range was used. Fixed logic in the sub-label placement code for log-scales to correctly place values. Also decreasing the minimum log value very low, otherwise it was overlapping labels for values < 1e-4.


/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMChartOptionsProxy.cxx,v <-- Servers/ServerManager/vtkSMChartOptionsProxy.cxx
new revision: 1.5; previous revision: 1.4
/cvsroot/ParaView3/ParaView3/VTK/GUISupport/Qt/Chart/vtkQtChartAxis.cxx,v <-- VTK/GUISupport/Qt/Chart/vtkQtChartAxis.cxx
new revision: 1.8; previous revision: 1.7
(0016463)
Alan Scott (manager)
2009-05-14 21:32

Are you sure you got it all checked in? I see that we now have ticks and tick labels on the left axis, but the range is still 1.0e-4 to 1. Thus, we are still loosing part of the range we want.
(0016470)
Utkarsh Ayachit (administrator)
2009-05-15 09:12

When using log scale, make sure that the end points are indeed as specified by the range rather than the closest power of 10.

/cvsroot/ParaView3/ParaView3/VTK/GUISupport/Qt/Chart/vtkQtChartAxis.cxx,v <-- VTK/GUISupport/Qt/Chart/vtkQtChartAxis.cxx
new revision: 1.9; previous revision: 1.8
(0016491)
Alan Scott (manager)
2009-05-15 18:59

Great, that fixed it.
Tested local server.

- Issue History
Date Modified Username Field Change
2009-05-13 20:08 Alan Scott New Issue
2009-05-14 07:39 Utkarsh Ayachit Status backlog => tabled
2009-05-14 07:39 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2009-05-14 07:39 Utkarsh Ayachit Target Version => 3.6
2009-05-14 10:35 Utkarsh Ayachit Note Added: 0016437
2009-05-14 10:35 Utkarsh Ayachit Status tabled => @80@
2009-05-14 10:35 Utkarsh Ayachit Fixed in Version => 3.6
2009-05-14 10:35 Utkarsh Ayachit Resolution open => fixed
2009-05-14 21:32 Alan Scott Note Added: 0016463
2009-05-14 21:32 Alan Scott Status @80@ => @20@
2009-05-14 21:32 Alan Scott Resolution fixed => reopened
2009-05-15 09:12 Utkarsh Ayachit Note Added: 0016470
2009-05-15 09:12 Utkarsh Ayachit Status @20@ => @80@
2009-05-15 09:12 Utkarsh Ayachit Resolution reopened => fixed
2009-05-15 18:59 Alan Scott Note Added: 0016491
2009-05-15 18:59 Alan Scott Status @80@ => closed
2011-01-13 17:00 Source_changeset_attached => VTK master a2bd8391
2011-01-13 17:00 Source_changeset_attached => VTK master 020ef709


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker